Solid Edge How to suppress component from simple assembly?

2023-08-08T07:59:54Z
SE_BETA SE_TSS DOC_MANAGEMENT FLOEFD 3D-SKETCH SIMULATION Teamcenter Share TECH_PUB ASSEMBLY APPLICATION PART/SHEETMETAL TRANSLATORS DRAFT SETUP Solid Edge Marketing

Summary


Details

How to suppress component from simple assembly?

Solution

User can use SetSuppressComponent() method to suppress component from simple assembly.

The sample code looks like,

Dim application As SolidEdgeFramework.Application = Nothing

Dim assemblyDocument As SolidEdge.Assembly.Interop.AssemblyDocument = Nothing

Dim occurrences As SolidEdge.Assembly.Interop.Occurrences = Nothing

Dim occurrence As SolidEdge.Assembly.Interop.Occurrence = Nothing

Dim SuppComp As SolidEdge.Assembly.Interop.SuppressComponent = Nothing

Try

application = DirectCast(Marshal.GetActiveObject("SolidEdge.Application"), SolidEdgeFramework.Application)

assemblyDocument = CType(application.ActiveDocument, SolidEdge.Assembly.Interop.AssemblyDocument)

occurrences = assemblyDocument.Occurrences

occurrence = occurrences.Item(1)

assemblyDocument.SetSuppressComponent(occurrence, SuppComp)

Catch ex As System.Exception

Console.WriteLine(ex)

Finally

Console.WriteLine("PLMS")

End Try

KB Article ID# PL8730631

Contents

SummaryDetails

Associated Components

SE_BETA